Bug 171935 - Update rsync to >= 2.6.4
Summary: Update rsync to >= 2.6.4
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rsync   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Simo Sorce
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-27 21:57 UTC by Terje Bless
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-16 15:16:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Terje Bless 2005-10-27 21:57:37 UTC
For a (large, critical) RHEL4 installation, we have need of the
"--remove-sent-files" option which was introduced in rsync 2.6.4.

Please consider updating the RHEL4 rsync to 2.6.4 or newer -- 2.6.6 is
latest, and 2.6.5/.6 contain many other relevant bug fixes and efficiency
enhancements -- for U3.

The Dag packages are currently based on rsync 2.6.6 and appear to work
fine in our testing (it's what we're running while waiting for official
packages from RH).

Comment 1 Dean Eckstrom 2006-02-22 14:30:43 UTC
There is a bug in versions < 2.6.4 related to compression (-z) and transfers of
large files (>4GB).   Rsyncing directories with large files may randomly fail,
based on the actual file 'contents'.  see:
https://bugzilla.samba.org/show_bug.cgi?id=2187

I can repeatable produce the error mentioned in bugzilla report on current
RedHat AS4.

v. 2.6.4 is available in the Fedora Core4 release, but has not made it way into
AS4 distribution.  Considering the degree rsync is widely relied upon, and
assumed to be bug free... I would urgently suggest pushing a new version on into
RedHat Updates.


Comment 2 Simo Sorce 2007-02-16 15:16:19 UTC
We usually don't do version upgrades in RHEL.
If you need a new feature, contact your support person to open a bug to ask for
this specific feature backported.


Note You need to log in before you can comment on or make changes to this bug.